package cz.moneta.test.dsl.ufo.cb.landing;

import cz.moneta.test.harness.support.web.*;

@Wait(value = DMS401_S003_SaveDocument.SAVE_BUTTON, until = Until.VISIBLE)
public interface DMS401_S003_SaveDocument extends WebFlow<DMS401_S003_SaveDocument> {
    String DOCUMENT_TYPE = "DMS401_S003_C005";
    String SAVE_BUTTON = "DMS401_S003_B001";
    String DOCUMENT_SENT_AS_NORMAL_LETTER_INPUT = "DMS401_S003_H001_1";
    String REGISTRATION_NUMBER_XPATH = "//table[@id='DMS401_S003_G001_UfoTable']//td[text()='%s']";

    @Select(DOCUMENT_TYPE)
    DMS401_S003_SaveDocument selectDocumentType(String docType);

    @Click(SAVE_BUTTON)
    DMS424_S001_UploadFile saveDocument();

    @Click(DOCUMENT_SENT_AS_NORMAL_LETTER_INPUT)
    DMS401_S003_SaveDocument clickDocumentSentAsNormalLetter();

    @Click(value = REGISTRATION_NUMBER_XPATH, isStringDynamicXpath = true, by = Lookup.XPATH)
    DMS401_S003_SaveDocument selectAccountNumberByRegistrationNumber(String registrationNumber);

}
